package com.example.kafka.service;

import com.example.kafka.entity.User;
import com.fasterxml.jackson.core.JsonProcessingException;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;


public interface UserService {
    public Mono<User> createUser(User user);

    public Flux<User> getAllUsers();

    public Mono<User> findById(String userId);

    public Mono<User> updateUser(String userId,  User user);

    public void validateOrder(String message) throws JsonProcessingException;
}
