package com.example.kafka.serviceImpl;

import com.example.kafka.entity.Order;
import com.example.kafka.producer.MessageProducer;
import com.example.kafka.repository.OrderRepository;
import com.example.kafka.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Mono;

@Service
public class OrderServiceImpl implements OrderService {

    @Autowired
    private OrderRepository orderRepository;

    @Autowired
    private MessageProducer messageProducer;
    @Override
    public Mono<Order> saveOrderIntoDB(Order order) {
        messageProducer.publishOrder(order.toString());
        return orderRepository.save(order);
    }
}
