package com.example.kafka.entity;

import com.example.kafka.enumerator.OrderStatus;
import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@ToString
@EqualsAndHashCode(of={"id","name"})
@AllArgsConstructor
@NoArgsConstructor
@Document(value = "orders")
public class Order {
    @Id
    private String id;

    private String name;

    private double amount;

    private OrderStatus orderStatus;
}
